Subject: Re: WARNING: at net/core/skbuff.c:154 with tcpdump and ipsec

From: Jarek Poplawski <[email-masked]>
Date: Fri, 13 Feb 2009 21:00:14 +0100

On Fri, Feb 13, 2009 at 02:42:07PM -0500, Vlad Yasevich wrote:
...
> Personally, I think pskb_expand_head should fix the skb->truesize.  This
> way any subsequent clones will not trigger this warning.

Personally, I think there is no reason to call skb_truesize_bug() in
anything but some #ifdef CONFIG_XX_DEBUG, if we ignore these reports
for so long.

> Another alternative is to audit the pskb_expand_head() usages and adjust
> truesize in each case needed, which is just ugly.

I guess, it's a lot of work to do it right (if it's possible at all).
Yes, I think about something really ugly here. ;-)

Jarek P.